summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPeter Ivanov2016-04-27 08:26:14 +0200
committerPeter Ivanov2016-04-27 08:26:14 +0200
commit3a20d32db29644e5eafe9e576984be93ee1c865a (patch)
treeaac3fdf1ed62ae0d6dcb0dc0b219e0734953e84c
parenteac32dda78e765b65540ed6f244f0782d422fbd9 (diff)
downloadaur-3a20d32db29644e5eafe9e576984be93ee1c865a.tar.gz
Dependency of QT5 was added. gr-osmosdr-git is optional dependency from now on.
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD7
2 files changed, 7 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d839309758d..bdd79f4aee5 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = gqrx-git
pkgdesc = SDR receiver for Funcube Dongle, RTL-SDR, USRP and OsmoSDR devices.
- pkgver = 20130809
+ pkgver = 20160423
pkgrel = 1
url = http://www.oz9aec.net/index.php/gnu-radio/gqrx-sdr
arch = i686
@@ -10,7 +10,7 @@ pkgbase = gqrx-git
makedepends = patch
makedepends = boost
makedepends = git
- depends = qt4>=4.6
+ depends = qt5-base
depends = boost-libs
depends = fftw
depends = libusb
@@ -20,8 +20,8 @@ pkgbase = gqrx-git
depends = libuhd
depends = pulseaudio
depends = gnuradio
- depends = gr-osmosdr-git
depends = python2-cheetah
+ optdepends = gr-osmosdr-git: support of OsmoSDR devices
conflicts = gqrx
source = fcd_in_gnuradio.patch
source = 21-fcd.rules
diff --git a/PKGBUILD b/PKGBUILD
index 30ed58b90fe..6b70c46f038 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,13 +2,14 @@
# Contributor: Dominik Heidler <dheidler@gmail.com>
pkgname=gqrx-git
-pkgver=20130809
+pkgver=20160423
pkgrel=1
pkgdesc="SDR receiver for Funcube Dongle, RTL-SDR, USRP and OsmoSDR devices."
arch=('i686' 'x86_64')
url="http://www.oz9aec.net/index.php/gnu-radio/gqrx-sdr"
license=('GPL')
-depends=('qt4>=4.6' 'boost-libs' 'fftw' 'libusb' 'gsl' 'alsa-lib' 'libpulse' 'libuhd' 'pulseaudio' 'gnuradio' 'gr-osmosdr-git' 'python2-cheetah')
+depends=('qt5-base' 'boost-libs' 'fftw' 'libusb' 'gsl' 'alsa-lib' 'libpulse' 'libuhd' 'pulseaudio' 'gnuradio' 'python2-cheetah')
+optdepends=('gr-osmosdr-git: support of OsmoSDR devices')
makedepends=('make' 'patch' 'boost' 'git')
conflicts=('gqrx')
#_gitroot=https://github.com/phirsch/gqrx
@@ -28,7 +29,7 @@ build() {
# msg "Applying patch for new funcube lib location"
# patch -p1 < ../fcd_in_gnuradio.patch
cd "$_gitname"
- qmake-qt4
+ qmake-qt5
make clean
make
}